OpenJPEG: manfbox_manager.h File Reference

OpenJPEG 2.3.1

Data Structures | Typedefs | Functions
manfbox_manager.h File Reference
`#include "byte_manager.h"`
`#include "box_manager.h"`
`#include "boxheader_manager.h"`

Go to the source code of this file.

## Data Structures
struct | manfbox_param
| manifest box parameters More...

## Typedefs
typedef struct manfbox_param | manfbox_param_t
| manifest box parameters More...

## Functions
manfbox_param_t * | gene_manfbox (box_param_t *box)
| generate manifest box More...
void | delete_manfbox (manfbox_param_t **manf)
| delete manifest box More...
void | print_manfbox (manfbox_param_t *manf)
| print manf box parameters More...
boxheader_param_t * | search_boxheader (const char type[], manfbox_param_t *manf)
| search a boxheader by box type from manifest box More...

## Typedef Documentation

## ◆ manfbox_param_t

typedef struct manfbox_param manfbox_param_t

manifest box parameters

I.3.2.3 Manifest box

## Function Documentation

## ◆ delete_manfbox()

void delete_manfbox | ( | manfbox_param_t ** | manf | ) |

delete manifest box

Parameters

  [in,out] | manf | addressof the manfbox pointer

References boxheader_param::next.

Referenced by set_cidxdata(), set_ppixdata(), and set_thixdata().

## ◆ gene_manfbox()

manfbox_param_t* gene_manfbox | ( | box_param_t * | box | ) |

generate manifest box

Parameters

  [in] | box | pointer to the reference manf box

Returns
  generated manfbox

References manfbox_param::first, gene_childboxheader(), get_DBoxlen(), boxheader_param::headlen, and boxheader_param::next.

Referenced by set_cidxdata(), set_ppixdata(), and set_thixdata().

## ◆ print_manfbox()

void print_manfbox | ( | manfbox_param_t * | manf | ) |

print manf box parameters

Parameters

  [in] | manf | manf box pointer

References manfbox_param::first, boxheader_param::next, and print_boxheader().

## ◆ search_boxheader()

boxheader_param_t* search_boxheader | ( | const char | type[],
|  | manfbox_param_t * | manf
| ) |  |

search a boxheader by box type from manifest box

Parameters

  [in] | type | box type
  [in] | manf | manf box pointer

Returns
  found box pointer

References FCGI_stderr, manfbox_param::first, boxheader_param::next, and boxheader_param::type.

Referenced by set_cidxdata(), and set_ppixdata().